package cn.ey.biz.module.system.convert.field;

import java.util.*;

import cn.ey.biz.common.pojo.PageResult;
import cn.ey.biz.module.system.controller.admin.field.vo.FieldItemCreateReqVO;
import cn.ey.biz.module.system.controller.admin.field.vo.FieldItemExcelVO;
import cn.ey.biz.module.system.controller.admin.field.vo.FieldItemRespVO;
import cn.ey.biz.module.system.controller.admin.field.vo.FieldItemUpdateReqVO;
import cn.ey.biz.module.system.dal.dataobject.field.FieldItemDO;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;

/**
 * 字段条目 Convert
 *
 */
@Mapper
public interface FieldItemConvert {

    FieldItemConvert INSTANCE = Mappers.getMapper(FieldItemConvert.class);

    FieldItemDO convert(FieldItemCreateReqVO bean);

    FieldItemDO convert(FieldItemUpdateReqVO bean);

    FieldItemRespVO convert(FieldItemDO bean);

    List<FieldItemRespVO> convertList(List<FieldItemDO> list);

    PageResult<FieldItemRespVO> convertPage(PageResult<FieldItemDO> page);

    List<FieldItemExcelVO> convertList02(List<FieldItemDO> list);

}
